summaryrefslogtreecommitdiff
path: root/tests/dd
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-07 14:28:47 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:38 +0200
commitceb5b04614dfc6037c0a3ac6205b6b3c072bc4cb (patch)
tree4226b1c229e1c1b66ed7ae2b39856cf5b303ee12 /tests/dd
parent33173e867aa45b7f88551551da51e36875582813 (diff)
downloadcoreutils-ceb5b04614dfc6037c0a3ac6205b6b3c072bc4cb.tar.xz
Convert tests/dd/*, too.
Diffstat (limited to 'tests/dd')
-rw-r--r--tests/dd/Makefile.am2
-rwxr-xr-xtests/dd/misc22
-rwxr-xr-xtests/dd/not-rewound16
-rwxr-xr-xtests/dd/skip-seek216
-rwxr-xr-xtests/dd/unblock-sync22
5 files changed, 21 insertions, 57 deletions
diff --git a/tests/dd/Makefile.am b/tests/dd/Makefile.am
index 91ba05d98..f474596db 100644
--- a/tests/dd/Makefile.am
+++ b/tests/dd/Makefile.am
@@ -11,3 +11,5 @@ TESTS_ENVIRONMENT = \
PROG=dd
TESTS = misc not-rewound skip-seek skip-seek2 unblock-sync
+
+include $(top_srcdir)/tests/check.mk
diff --git a/tests/dd/misc b/tests/dd/misc
index dc77e8b60..aea949109 100755
--- a/tests/dd/misc
+++ b/tests/dd/misc
@@ -2,7 +2,7 @@
# Ensure dd treats `--' properly.
# Also test some flag values.
-# Copyright (C) 1999, 2004, 2005, 2006 Free Software Foundation, Inc.
+# Copyright (C) 1999, 2004-2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -17,16 +17,18 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-tmp_in=dd-in.$$
-tmp_in2=dd-in2.$$
-tmp_sym=dd-sym.$$
-tmp_out=dd-out.$$
-
if test "$VERBOSE" = yes; then
set -x
dd --version
fi
+. $srcdir/../test-lib.sh
+
+tmp_in=dd-in.$$
+tmp_in2=dd-in2.$$
+tmp_sym=dd-sym.$$
+tmp_out=dd-out.$$
+
fail=0
warn=0
test_failure=0
@@ -39,14 +41,14 @@ if test $test_failure = 1; then
fi
dd if=$tmp_in of=$tmp_out 2> /dev/null || fail=1
-cmp $tmp_in $tmp_out || fail=1
+compare $tmp_in $tmp_out || fail=1
rm $tmp_out
dd -- if=$tmp_in of=$tmp_out 2> /dev/null || fail=1
-cmp $tmp_in $tmp_out || fail=1
+compare $tmp_in $tmp_out || fail=1
if dd oflag=append if=$tmp_in of=$tmp_out 2> /dev/null; then
- cmp $tmp_in $tmp_out || fail=1
+ compare $tmp_in $tmp_out || fail=1
fi
if dd iflag=nofollow if=$tmp_in count=0 2> /dev/null; then
@@ -84,7 +86,5 @@ fi
outbytes=`echo x | dd bs=3 ibs=10 obs=10 conv=sync 2>/dev/null | wc -c`
test "$outbytes" -eq 3 || fail=1
-rm -f $tmp_in $tmp_in2 $tmp_sym $tmp_out || fail=1
-
test $fail -eq 0 && fail=$warn
exit $fail
diff --git a/tests/dd/not-rewound b/tests/dd/not-rewound
index d27deb0cc..9b1632613 100755
--- a/tests/dd/not-rewound
+++ b/tests/dd/not-rewound
@@ -2,7 +2,7 @@
# Make sure dd does the right thing when the input file descriptor
# is not rewound.
-# Copyright (C) 2000, 2004, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2000, 2004, 2006, 2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -22,19 +22,7 @@ if test "$VERBOSE" = yes; then
dd --version
fi
-pwd=`pwd`
-tmp=dd-rw.$$
-trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
-trap '(exit $?); exit' 1 2 13 15
-
-framework_failure=0
-mkdir $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-
-if test $framework_failure = 1; then
- echo 'failure in testing framework'
- exit 1
-fi
+. $srcdir/../test-lib.sh
fail=0
diff --git a/tests/dd/skip-seek2 b/tests/dd/skip-seek2
index 2bf5f4fad..b1024af15 100755
--- a/tests/dd/skip-seek2
+++ b/tests/dd/skip-seek2
@@ -2,7 +2,7 @@
# show how to skip an amount that is smaller than the nominal block size.
# There's a more realistic example in the documentation.
-# Copyright (C) 2000, 2004, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2000, 2004, 2006, 2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -22,19 +22,7 @@ if test "$VERBOSE" = yes; then
dd --version
fi
-pwd=`pwd`
-tmp=skip-seek.$$
-trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
-trap '(exit $?); exit' 1 2 13 15
-
-framework_failure=0
-mkdir $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-
-if test $framework_failure = 1; then
- echo 'failure in testing framework'
- (exit 1); exit 1
-fi
+. $srcdir/../test-lib.sh
fail=0
diff --git a/tests/dd/unblock-sync b/tests/dd/unblock-sync
index 186c631a7..7fc5eb568 100755
--- a/tests/dd/unblock-sync
+++ b/tests/dd/unblock-sync
@@ -1,7 +1,7 @@
#!/bin/sh
# Ensure that dd conv=unblock,sync works.
-# Copyright (C) 2003, 2005, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2003, 2005-2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -21,22 +21,9 @@ if test "$VERBOSE" = yes; then
dd --version
fi
-# . $srcdir/../envvar-check
+. $srcdir/../test-lib.sh
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-printf 000100020003xx > in || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
+printf 000100020003xx > in || framework_failure
fail=0
@@ -48,7 +35,6 @@ cat <<\EOF > exp || fail=1
xx
EOF
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare out exp || fail=1
(exit $fail); exit $fail